Search.setIndex({"docnames": ["case-integral", "case-pendulum", "case-svdcut", "gvar", "gvar_dataset", "gvar_other", "index", "overview"], "filenames": ["case-integral.rst", "case-pendulum.rst", "case-svdcut.rst", "gvar.rst", "gvar_dataset.rst", "gvar_other.rst", "index.rst", "overview.rst"], "titles": ["Case Study: Creating an Integrator", "Case Study:  Numerical Analysis \u2014 Pendulum Clock", "Case Study: Correlations and SVD Cuts", "<code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">gvar</span></code> - Gaussian Random Variables", "<code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">gvar.dataset</span></code> - Random Data Sets", "Numerical Analysis Modules in <code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">gvar</span></code>", "gvar Documentation", "Overview and Tutorial"], "terms": {"gvar": [0, 1, 2], "thi": [0, 1, 2, 3, 4, 5, 7], "illustr": [0, 1, 2, 3, 5, 7], "how": [0, 1, 2, 3, 4, 5, 7], "mix": [1, 3, 7], "s": [0, 1, 2, 3, 4, 5, 6, 7], "routin": [0, 1, 3, 5, 7], "integr": [1, 3, 6, 7], "differenti": [1, 6, 7], "equat": [1, 6], "od": [0, 1, 5], "root": [1, 6, 7], "function": [0, 1, 2, 6], "It": [0, 1, 2, 3, 4, 5, 7], "also": [0, 1, 3, 4, 5, 7], "give": [0, 1, 2, 3, 4, 5, 7], "simpl": [0, 1, 2, 3, 5, 7], "exampl": [0, 1, 2, 3, 4, 5, 7], "us": [0, 1, 2, 3, 4, 6], "precis": [1, 3, 5, 7], "particular": [1, 3, 4, 5, 7], "limit": [0, 1, 2, 3, 5, 6], "two": [1, 3, 4, 5, 7], "domin": 1, "factor": [1, 3, 4, 5], "1": [0, 1, 2, 3, 4, 5, 7], "length": [1, 3, 5], "0": [0, 1, 2, 3, 4, 5, 7], "25m": 1, "can": [0, 1, 2, 3, 4, 5, 7], "adjust": [1, 3, 5, 7], "best": [1, 4], "5mm": 1, "2": [0, 1, 2, 3, 4, 5, 7], "irregular": 1, "drive": 1, "mechan": 1, "mean": [0, 1, 2, 3, 4, 5, 7], "maximum": [1, 3, 4, 5, 7], "angl": 1, "swing": 1, "\u03c0": 1, "6": [0, 1, 2, 3, 4, 5], "uncertain": [1, 7], "025": 1, "radian": 1, "challeng": [1, 5], "determin": [1, 2, 3, 4, 5, 7], "uncertainti": [0, 1, 2, 3, 4, 5, 7], "affect": [1, 3], "time": [0, 1, 2, 3, 4, 5, 7], "keep": [1, 2, 3, 5, 7], "over": [0, 1, 2, 3, 4, 5, 7], "dai": 1, "theta": 1, "t": [1, 3, 4, 5], "satisfi": [1, 5, 7], "d": [0, 1, 3, 4, 5], "dt": 1, "g": [0, 1, 3, 4, 5, 7], "l": [1, 3, 5], "sin": [1, 3, 5, 7], "where": [0, 1, 2, 3, 4, 5, 7], "acceler": 1, "due": [1, 3, 7], "graviti": 1, "we": [0, 1, 2, 3, 4, 5, 7], "start": [1, 5, 7], "design": [1, 3, 7], "code": [1, 2, 3, 4, 5, 6, 7], "import": [0, 1, 2, 3, 4, 5, 7], "numpi": [0, 1, 2, 3, 4, 5, 7], "np": [0, 1, 2, 3, 5, 7], "gv": [0, 1, 2, 3, 4, 5, 7], "def": [0, 1, 2, 3, 5, 7], "make_pendulum": 1, "theta0": 1, "creat": [1, 2, 3, 4, 5, 6], "solut": [1, 5, 6], "y": [1, 2, 3, 4, 5, 7], "initi": [1, 3, 5, 7], "condit": [1, 3, 4, 5], "ar": [0, 1, 2, 3, 4, 5, 7], "paramet": [0, 1, 2, 3, 4, 5], "g_l": 1, "9": [0, 1, 2, 3, 4, 5, 7], "8": [0, 1, 2, 3, 4, 5, 7], "deriv": [0, 1, 3, 5, 7], "calcul": [0, 1, 2, 3, 4, 5, 7], "dtheta_dt": 1, "return": [0, 1, 2, 3, 4, 5, 7], "arrai": [0, 1, 2, 3, 4, 5, 7], "y0": [1, 2, 5], "given": [0, 1, 2, 3, 4, 5, 7], "from": [0, 1, 2, 3, 4, 5, 6], "method": [0, 1, 3, 4, 5, 7], "oscil": [1, 5], "which": [0, 1, 2, 3, 4, 5, 7], "its": [0, 1, 3, 4, 5, 7], "point": [0, 1, 3, 4, 5, 7], "veloc": 1, "vanish": [1, 5], "find_period": 1, "tapprox": 1, "approxim": [1, 3, 4, 6, 7], "between": [0, 1, 3, 4, 5, 7], "7": [1, 2, 3, 4, 5, 7], "3": [0, 1, 2, 3, 4, 5, 7], "provid": [1, 2, 3, 4, 5, 7], "correctli": [1, 5], "chosen": [1, 2], "when": [0, 1, 2, 3, 4, 5, 7], "dtheta": 1, "refin": [1, 5], "last": [1, 3, 5], "piec": [1, 3, 4, 7], "doe": [1, 3, 4, 5, 7], "main": [1, 3, 4], "25": [0, 1, 3, 4, 5, 7], "0005": 1, "theta_max": 1, "pi": [1, 5, 7], "max": [1, 3, 5], "sec": 1, "print": [0, 1, 2, 3, 4, 5, 6], "format": [1, 3, 4, 6], "minut": 1, "per": [1, 2], "fmt": [1, 3, 7], "2f": 1, "min": [1, 5], "n": [0, 1, 2, 3, 4, 5, 7], "sdev": [1, 2, 3, 7], "60": [1, 4], "24": [1, 5, 7], "error": [0, 1, 2, 3, 4, 5, 6], "budget": [0, 1, 3, 6], "input": [0, 1, 3, 4, 5, 7], "dict": [0, 1, 2, 3, 4, 5, 7], "output": [0, 1, 3, 7], "fmt_errorbudget": [0, 1, 3, 7], "__name__": 1, "__main__": 1, "here": [0, 1, 2, 3, 4, 5, 7], "both": [1, 2, 3, 5, 7], "have": [1, 2, 3, 4, 5, 7], "repres": [1, 3, 4, 5, 7], "object": [1, 4, 5, 6, 7], "These": [1, 3, 4, 5, 7], "work": [0, 1, 3, 5, 7], "wai": [1, 2, 3, 4, 5, 7], "through": [1, 3, 5, 7], "final": [0, 1, 2, 3, 4, 5, 7], "result": [0, 1, 2, 3, 4, 5, 7], "run": [1, 7], "follow": [0, 1, 3, 4, 5, 7], "0210": 1, "20": [1, 2, 3, 4, 5, 7], "79": [1, 7], "partial": [0, 1, 3, 4, 5, 7], "10": [0, 1, 2, 3, 4, 5, 7], "17": [1, 2, 3, 5], "total": [0, 1, 3, 7], "19": [1, 2, 4, 7], "ha": [1, 2, 3, 4, 5, 7], "an": [1, 2, 3, 4, 5, 6, 7], "about": [0, 1, 3, 5, 7], "correspond": [1, 3, 4, 5, 7], "caus": [1, 3], "end": [1, 3, 4, 5], "show": [1, 2, 3, 4, 5, 7], "much": [0, 1, 3, 4, 7], "come": [0, 1, 3, 7], "each": [0, 1, 2, 3, 4, 5, 7], "sourc": [1, 3, 7], "ad": [1, 2, 3, 4, 7], "quadratur": [1, 3, 7], "could": [1, 2, 3, 4, 5, 7], "estim": [0, 1, 2, 3, 4, 5, 7], "standard": [0, 1, 2, 3, 4, 5, 7], "formula": [1, 7], "2\u03c0": 1, "sqrt": [1, 3, 4, 5, 7], "true": [0, 1, 2, 3, 4, 5, 7], "trickier": 1, "sinc": [1, 3, 5, 7], "nonlinear": [1, 7], "tell": 1, "improv": 1, "For": [0, 1, 2, 3, 4, 5, 7], "reduc": [1, 4, 5, 7], "redesign": 1, "so": [1, 2, 3, 4, 5, 7], "36": 1, "rather": [1, 3, 4, 7], "than": [1, 2, 3, 4, 5, 7], "becom": [1, 5, 7], "independ": [1, 2, 3, 5], "less": [1, 2, 3, 5, 7], "sensit": [1, 2], "take": [1, 3, 5], "smaller": [1, 2, 3, 4, 5, 7], "part": [1, 3, 4, 7], "03": [0, 1], "therebi": [1, 7], "cut": [1, 3, 4, 6], "almost": [1, 3, 7], "half": [1, 2], "5": [0, 1, 2, 3, 4, 5, 7], "further": [1, 3, 7], "requir": [1, 4, 5, 6], "tighter": 1, "control": 1, "check": [1, 3], "propag": [1, 5, 7], "abov": [0, 1, 3, 4, 5, 7], "tlist": 1, "i": [0, 1, 2, 3, 4, 5, 7], "rang": [1, 3, 4, 5, 7], "100": [0, 1, 2, 3, 4, 5, 7], "append": [1, 3, 4], "4f": 1, "std": [1, 7], "addit": [1, 3, 4, 5], "0209": 1, "0020": 1, "new": [0, 1, 2, 3, 4, 5, 7], "gener": [0, 1, 3, 4, 5, 7], "differ": [0, 1, 2, 3, 4, 5, 7], "valu": [0, 1, 2, 3, 4, 5, 6], "randomli": 1, "drawn": [1, 3, 4, 7], "gaussian": [1, 4, 6], "distribut": [1, 3, 4, 6], "In": [0, 1, 3, 4, 5, 7], "call": [1, 3, 4, 5, 7], "x": [0, 1, 2, 3, 4, 5, 7], "random": [1, 2, 6], "number": [0, 1, 2, 3, 4, 5, 7], "deviat": [1, 2, 3, 4, 7], "list": [0, 1, 3, 4, 5, 7], "our": [1, 2, 4], "fluctuat": [1, 3, 4, 7], "onli": [1, 3, 4, 5, 7], "sampl": [0, 1, 2, 3, 4, 5, 6], "000": [1, 3, 7], "obtain": [0, 1, 2, 3, 4, 5, 7], "previou": [1, 3, 7], "section": [1, 7], "tini": [1, 5, 7], "fraction": 1, "comput": [1, 3, 4, 5, 7], "note": [1, 3, 4, 7], "uncorrel": [1, 2, 3, 7], "ranit": [1, 3, 4, 7], "should": [1, 3, 4, 5, 7], "correl": [1, 3, 4, 6, 7], "aris": [2, 3, 7], "construct": [2, 3, 4, 5, 7], "matric": [2, 3, 4, 5, 7], "small": [0, 2, 3, 4, 5, 7], "fix": 2, "want": [0, 2, 4, 7], "slope": [2, 3], "indic": [2, 3, 4, 7], "measur": [2, 3, 4], "quantiti": [2, 4, 7], "noisi": 2, "averag": [2, 4, 5], "13": [2, 4, 7], "set": [2, 3, 5, 6, 7], "y_sampl": 2, "j": [2, 3, 5, 7], "4": [0, 2, 3, 4, 5, 7], "8409": 2, "8393": 2, "8403": 2, "8377": 2, "8356": 2, "12": [2, 3, 4, 7], "8389": 2, "14": [2, 4, 5, 7], "16": [0, 2, 3, 7], "8362": 2, "18": [2, 7], "8351": 2, "8341": 2, "8639": 2, "8612": 2, "8597": 2, "8559": 2, "8537": 2, "8525": 2, "8498": 2, "8487": 2, "8460": 2, "8447": 2, "1048": 2, "1072": 2, "1071": 2, "1076": 2, "11": [0, 2, 3, 4, 5, 7], "1090": 2, "1107": 2, "15": [2, 3, 4, 7], "1113": 2, "1134": 2, "1145": 2, "21": [2, 4, 5, 7], "1163": 2, "0710": 2, "0696": 2, "0708": 2, "0705": 2, "0694": 2, "0681": 2, "0693": 2, "0695": 2, "0667": 2, "0678": 2, "0241": 2, "0223": 2, "0198": 2, "0204": 2, "0191": 2, "0193": 2, "0163": 2, "0154": 2, "0155": 2, "9719": 2, "9700": 2, "9709": 2, "9706": 2, "9707": 2, "9705": 2, "9699": 2, "9686": 2, "9676": 2, "0688": 2, "0709": 2, "0724": 2, "0730": 2, "0749": 2, "0776": 2, "0790": 2, "0800": 2, "0794": 2, "0795": 2, "1471": 2, "1468": 2, "1452": 2, "1451": 2, "1429": 2, "1445": 2, "1450": 2, "1435": 2, "1425": 2, "1432": 2, "0233": 2, "0225": 2, "0224": 2, "0216": 2, "0217": 2, "0208": 2, "0222": 2, "8797": 2, "8792": 2, "8803": 2, "8794": 2, "8800": 2, "8801": 2, "8812": 2, "0388": 2, "0407": 2, "0409": 2, "0439": 2, "0443": 2, "0459": 2, "0455": 2, "0479": 2, "0493": 2, "0505": 2, "1353": 2, "1368": 2, "1376": 2, "1367": 2, "1360": 2, "1377": 2, "1369": 2, "1400": 2, "1384": 2, "1396": 2, "0051": 2, "0063": 2, "0022": 2, "0052": 2, "0040": 2, "0033": 2, "0007": 2, "9989": 2, "9994": 2, "9995": 2, "dataset": [2, 3, 6], "avg_data": [2, 3, 4], "013": 2, "27": [2, 3, 5, 7], "012": 2, "28": [0, 2, 3, 4, 7], "highli": [2, 3, 7], "evalcorr": [2, 3, 7], "99990406": 2, "99973156": 2, "99959261": 2, "99985848": 2, "99982468": 2, "99987618": 2, "To": [2, 3, 4, 5, 7], "extract": [2, 3, 5], "fit": [2, 3, 7], "data": [2, 3, 5, 6, 7], "lsqfit": [2, 3, 4, 7], "modul": [0, 2, 3, 4, 6, 7], "fcn": [2, 5], "p": [0, 2, 3, 5, 7], "prior": [2, 3], "nonlinear_fit": 2, "howev": [2, 3, 4, 7], "veri": [2, 3, 4, 5, 7], "chi": [2, 3], "degre": [2, 3], "freedom": [2, 3], "least": [2, 3, 5, 7], "squar": [2, 3, 5, 7], "chi2": [2, 3], "dof": [2, 3], "q": [2, 3, 5], "1e": [0, 2, 3, 4, 5, 7], "loggbf": [2, 3], "816": 2, "963": 2, "00078": 2, "svdcut": [2, 3, 4], "tol": [0, 2, 5], "08": [2, 5, 7], "itn": 2, "do": [0, 2, 3, 5, 7], "enough": [2, 7], "matrix": [2, 3, 4, 5, 7], "suffici": [2, 5, 7], "accur": [2, 3, 4, 5, 7], "smallest": [2, 3, 4, 5], "eigenvalu": [2, 3, 4, 5], "tend": [2, 5], "underestim": [2, 3], "inde": [2, 7], "go": 2, "zero": [2, 3, 5, 7], "size": [2, 3, 4, 5, 7], "dimens": [2, 3, 4, 5, 7], "e": [0, 2, 3, 4, 5, 7], "contribut": [2, 3, 7], "spuriou": 2, "larg": [2, 3, 4, 7], "One": [0, 2, 3, 4, 6, 7], "declar": 2, "unreli": [2, 3, 5], "discard": [2, 3, 4], "them": [2, 3, 7], "just": [0, 2, 3, 4, 5, 7], "individu": [2, 3, 5, 7], "accept": [2, 3, 5, 7], "02": [2, 7], "924": 2, "9999": [2, 3], "30": [2, 3, 4], "confirm": 2, "what": [2, 3, 7], "suspect": 2, "ignor": [2, 3, 4, 5, 7], "strong": [2, 3, 7], "relev": [2, 4], "Not": 2, "surprisingli": 2, "accuraci": [2, 5], "quit": [2, 7], "retain": [2, 3, 4, 5], "those": [0, 2, 3, 4, 5, 7], "svd_diagnosi": [2, 4], "bootstrap": [2, 3, 4, 7], "analysi": [0, 2, 3, 6, 7], "investig": 2, "stabil": 2, "plot_ratio": [2, 4], "displai": [2, 3, 4, 6], "plot": [2, 3, 4, 7], "ratio": [2, 3, 4, 5, 7], "divid": [2, 4], "real": [2, 5, 7], "test": [2, 3], "significantli": [2, 3, 4], "lower": [2, 3, 5], "like": [0, 2, 3, 4, 5, 7], "agre": [2, 3, 5, 7], "well": [0, 2, 3, 5, 7], "upper": [2, 3], "spectrum": [2, 4], "all": [0, 2, 3, 4, 5, 7], "low": [2, 3, 7], "dot": [2, 3, 4, 5, 7], "bottom": 2, "line": [2, 3, 4, 7], "most": [2, 3, 4, 5, 7], "fall": [2, 5], "below": [2, 3, 4], "modifi": [2, 3, 4, 7], "sens": [2, 3], "underli": [2, 3, 4, 7], "li": 2, "roughli": [2, 3, 4], "largest": [2, 3, 5], "address": [2, 4], "introduc": [2, 3, 7], "suggest": [2, 3, 7], "red": [2, 4, 7], "figur": [2, 7], "version": [2, 3, 7], "whose": [2, 3, 4, 5, 7], "unchang": [2, 3], "max_eig": [2, 3], "equal": [2, 3, 4, 5, 7], "probabl": [2, 3, 7], "overestim": 2, "associ": [2, 3, 4, 5, 7], "conserv": 2, "move": [2, 3], "make": [2, 3, 4, 7], "singular": [0, 2, 3, 4, 5], "53": [0, 2], "45": [0, 2, 3, 4], "208": 2, "008": 2, "22": [2, 3, 4, 7], "00001": 2, "more": [0, 2, 3, 4, 5, 7], "order": [2, 3, 4, 5, 7], "magnitud": [2, 3, 7], "approach": [0, 2, 7], "weight": [2, 4, 5], "wavg": [2, 4], "again": [0, 2, 3, 4, 7], "first": [0, 2, 3, 4, 5, 7], "been": [2, 3, 5], "appli": [0, 2, 3, 4, 7], "often": [2, 4, 5], "necessari": [2, 3], "typic": [2, 3, 4, 5], "need": [0, 2, 3, 4, 5, 7], "mani": [2, 3, 5], "variabl": [2, 4, 5, 6], "Such": [2, 3, 7], "feasibl": 2, "might": [2, 3, 4, 5, 7], "essenti": [2, 4, 7], "usabl": 2, "type": [3, 4, 5, 7], "specifi": [3, 4, 5, 7], "thei": [3, 4, 5, 7], "z": [3, 7], "contain": [3, 4, 5, 7], "varieti": 3, "tool": [3, 4, 5, 7], "manipul": [3, 5, 7], "includ": [3, 4, 5, 7], "var": [3, 7], "varianc": [3, 4, 5, 7], "is_primari": 3, "whether": [3, 4, 7], "primari": [3, 7], "fals": [3, 4, 5], "depend": [0, 3, 7], "collect": [0, 3, 4, 7], "filter": 3, "f": [0, 3, 5, 7], "arg": [3, 4], "karg": [3, 4], "respect": [0, 3, 5, 7], "replac": [0, 3, 4, 5, 7], "dictionari": [3, 4, 5, 7], "string": [3, 4, 5, 7], "represent": [3, 5, 7], "tabul": [3, 5], "entri": [3, 4, 5, 7], "corr": 3, "add": [3, 4, 7], "g1": [3, 5], "g2": [3, 5], "qqplot": 3, "qq": 3, "equival": [3, 4, 5, 7], "same": [0, 3, 4, 5, 7], "evalcov": [3, 7], "covari": [3, 4, 5, 7], "evalcov_block": 3, "diagon": [3, 7], "block": 3, "fmt_valu": [3, 7], "tabl": 3, "fmt_chi2": 3, "inform": [3, 4, 5, 7], "class": [3, 5, 6, 7], "buffer": 3, "densiti": 3, "pdfstatist": [3, 7], "statist": [3, 4, 7], "moment": [3, 7], "pdfhistogram": [], "build": [0, 4], "histogram": [3, 7], "dump": [3, 7], "outputfil": 3, "serial": 3, "file": [3, 4, 7], "byte": [3, 7], "load": [3, 7], "inputfil": 3, "reconstitut": [3, 7], "inputbyt": 3, "gdump": 3, "gload": 3, "inputstr": 3, "remove_gvar": 3, "gvlist": 3, "remov": [3, 4], "distribute_gvar": 3, "restor": [3, 7], "gvarref": 3, "placehold": 3, "disassembl": 3, "level": [3, 7], "reassembl": [3, 7], "cov": [3, 7], "iter": [3, 4, 5, 7], "ranse": 3, "seed": 3, "bootstrap_it": [3, 4, 7], "regul": [3, 4], "ep": [3, 4], "bin_data": [3, 4], "bin": [3, 4, 7], "The": [3, 4, 5, 6, 7], "one": [0, 3, 4, 5, 7], "gvarfactori": 3, "xsdev": [3, 7], "shape": [3, 4, 5, 7], "kei": [0, 3, 4, 5, 7], "layout": [3, 4], "xcov": [3, 7], "k1": 3, "k2": 3, "ani": [0, 3, 4, 5, 7], "singl": [3, 7], "compat": [0, 3], "produc": [3, 4, 7], "therefor": [3, 7], "verifi": [3, 5, 7], "symmetr": [3, 4, 5], "posit": 3, "definit": [0, 3, 5], "expens": 3, "done": [0, 3, 4, 7], "default": [3, 4, 5, 7], "unpredict": 3, "outcom": 3, "improp": 3, "fast": 3, "normal": [3, 5, 7], "tri": 3, "break": 3, "disjoint": 3, "decompos": [3, 4], "decomposit": [3, 5], "save": [3, 7], "memori": 3, "later": [3, 6], "faster": [3, 4, 5], "extra": [3, 5], "process": [3, 4], "keyword": [3, 4, 5], "prevent": [3, 5], "would": [3, 4, 7], "wa": [3, 4, 5, 7], "known": [3, 5], "ahead": 3, "sub": [3, 5], "either": [3, 4, 5, 7], "choic": [3, 4], "correct": [0, 3, 4, 5, 7], "answer": [0, 3, 5], "effici": 3, "xstr": 3, "form": 3, "xmean": [3, 7], "xerr": 3, "see": [0, 3, 5, 7], "xgvar": 3, "xdict": 3, "b": [0, 3, 4, 5, 7], "k": [0, 3, 4, 5, 7], "everi": [3, 4, 5], "tupl": [3, 4, 5, 7], "xarrai": 3, "element": [0, 3, 4, 5, 7], "ymean": 3, "ycov": 3, "xycov": 3, "chang": [3, 5, 7], "becaus": [0, 3, 4, 5, 7], "effect": [3, 7], "argument": [3, 4, 5, 7], "gvar_funct": [0, 3, 7], "dfdx": [3, 7], "df": [0, 3, 7], "dx": [0, 3, 5, 7], "multidimension": [3, 4, 7], "while": [3, 4, 5, 7], "must": [3, 5, 7], "float": [0, 3, 5, 7], "math": [3, 5, 7], "isinst": [0, 3, 7], "co": [0, 3, 5, 7], "els": [0, 3, 7], "unnecessari": 3, "alreadi": 3, "evalu": [0, 3, 5, 7], "A": [0, 3, 4, 5, 6, 7], "comparison": [3, 7], "left": 3, "If": [3, 4, 5, 7], "arithmet": [3, 5, 6], "express": [3, 4, 5, 7], "combin": [0, 3, 5, 7], "multipl": [3, 4, 5, 7], "origin": [3, 4, 5, 7], "sum_p": [3, 7], "dz": [3, 7], "dp": [3, 7], "sum": [0, 3, 4, 5, 7], "upon": [3, 4, 7], "appear": [3, 5, 7], "onc": 3, "mark": 3, "avoid": 3, "doubl": 3, "count": [3, 7], "uniqu": 3, "etc": 3, "bool": [3, 4, 5], "otherwis": [3, 5], "usag": [3, 4, 5], "g_mod": 3, "doesn": 3, "consist": [3, 4], "nest": 3, "possibl": [0, 3, 7], "dequ": 3, "gvar_arrai": 3, "ndecim": 3, "none": [3, 4, 5, 7], "sep": 3, "gi": 3, "structur": 3, "ncol": 3, "header": 3, "offset": [3, 7], "content": [3, 4, 6, 7], "ordereddict": 3, "scalar": [3, 4, 5], "vector": [0, 3, 4, 5], "52": [0, 3], "09": 3, "tensor": 3, "01": [3, 5, 7], "50": [3, 4, 5, 7], "001": 3, "033": 3, "00": [0, 3, 5, 7], "007": 3, "237": 3, "23": 3, "75": 3, "index": [3, 4, 6], "520": 3, "2370": 3, "40": [3, 7], "split": [3, 7], "column": 3, "plu": [3, 7], "omit": [3, 4, 5], "str": [3, 4, 5, 7], "insert": 3, "begin": [3, 4], "digit": [3, 7], "after": [3, 4, 5], "decim": 3, "present": 3, "applic": [3, 5, 7], "involv": [0, 3, 5, 7], "togeth": [3, 4, 5, 7], "unless": [3, 4], "triangular": 3, "transpos": 3, "verif": 3, "costli": 3, "doubli": 3, "compress": [3, 4], "store": [3, 5, 6], "compon": [3, 5], "idx": 3, "bcov": 3, "flat": [3, 5], "len": [0, 3, 5], "particularli": [3, 7], "spars": [3, 7], "nonzero": [3, 5, 7], "thu": [3, 5, 7], "full": [3, 5, 7], "reconstruct": [3, 7], "slightli": [0, 3, 7], "easi": [3, 4], "new_g": 3, "empti": 3, "dtype": [3, 4, 7], "dg": 3, "invcov": 3, "invers": [3, 5], "multi": [3, 4], "dimension": [0, 3, 4, 6, 7], "within": [3, 4], "high": 3, "being": [3, 4], "compar": [3, 5, 7], "usual": [3, 5, 7], "altern": [3, 4, 5], "instead": [3, 7], "case": [3, 4, 5, 6, 7], "likelihood": 3, "came": 3, "miss": 3, "overlap": 3, "26": 3, "reason": [0, 3], "cutoff": [3, 5], "int": [0, 3, 4, 5], "assign": [3, 7], "attribut": [3, 4, 5], "attach": 3, "larger": [0, 3, 4, 5, 7], "chanc": 3, "even": [3, 4, 7], "residu": [3, 5], "term": [3, 5], "mode": [3, 7], "straight": 3, "along": 3, "dash": [3, 4, 7], "black": 3, "gsampl": 3, "distribtuion": 3, "unit": 3, "matplotlib": [3, 4, 7], "plotter": [3, 4], "pyplot": [3, 4, 7], "invert": 3, "document": [0, 3, 7], "scipi": [0, 3, 5], "assum": [3, 4, 5, 7], "logarithm": [3, 4, 5], "bay": 3, "rtol": [3, 5], "atol": 3, "toler": [3, 5], "operation": 3, "agreement": [0, 3], "ab": [3, 7], "diff": 3, "summ": 3, "der": [3, 7], "pair": [3, 5], "interchang": 3, "ones": [3, 5], "made": 3, "share": [3, 4], "match": [3, 4, 5], "rel": [3, 5, 7], "absolut": [3, 5], "retriev": [3, 7], "add_depend": 3, "write": 3, "filenam": [3, 4], "name": [3, 4, 7], "recov": 3, "xxx": 3, "pickl": [3, 7], "read": [3, 4], "recreat": 3, "unlik": 3, "latter": [3, 5], "preserv": [3, 7], "relationship": 3, "search": [3, 5, 6], "recurs": 3, "guarante": [3, 5], "greatli": 3, "increas": [3, 5], "cost": [3, 4], "written": [3, 4, 5, 7], "bytesio": 3, "automat": [3, 5, 7], "pass": 3, "shorthand": [3, 4], "getvalu": 3, "gbyte": 3, "convert": [0, 3, 4, 7], "back": 3, "attempt": 3, "old": 3, "encount": 3, "out": [3, 5, 7], "de": 3, "describ": [3, 5, 7], "former": [3, 4], "wherea": 3, "mai": [3, 4, 5, 7], "restrict": [3, 4], "json": 3, "text": [3, 4], "binari": 3, "python": [0, 3, 4, 7], "secur": 3, "issu": [3, 4, 5, 7], "troubl": 3, "workaround": 3, "succe": 3, "eval": 3, "repr": 3, "wide": [3, 7], "integ": [3, 5], "try": 3, "fail": [0, 3, 5], "stringio": 3, "infer": [3, 5, 7], "extens": 3, "pkl": [3, 7], "gstr": 3, "obj": 3, "access": [3, 5], "__dict__": [3, 7], "__slots__": 3, "defin": [3, 4, 5, 7], "_remove_gvar": 3, "copi": [3, 4, 5, 7], "treatment": 3, "instanc": [3, 5], "without": [0, 3, 5, 7], "self": [3, 4, 5, 7], "tmp": 3, "_distribute_gvar": 3, "behavior": [3, 4, 7], "undefin": 3, "There": [3, 4, 5, 7], "analog": [3, 7], "facilit": 3, "undo": 3, "discuss": [3, 7], "detail": 3, "smat": 3, "were": [3, 4, 5, 7], "w": [3, 5], "r": [3, 4, 7], "incorpor": 3, "impli": [3, 4, 5, 7], "intact": 3, "arbitrari": [0, 4, 5, 7], "uniform": [3, 7], "cover": [3, 5], "interv": [0, 3, 4, 5, 7], "center": 3, "princip": 3, "axi": [3, 7], "ellips": 3, "next": [3, 4, 7], "reus": 3, "own": 3, "regener": 3, "rese": 3, "analyz": [3, 4, 5, 7], "percent": 3, "colwidth": 3, "ko": 3, "ki": 3, "row": 3, "label": [3, 4, 7], "cannot": [3, 7], "distinguish": 3, "place": [3, 4], "themselv": [3, 5], "width": [3, 4, 5, 7], "accommod": 3, "warn": [3, 4, 5, 7], "incomplet": 3, "overcomplet": 3, "No": [3, 5], "v": [3, 4], "wgt": 3, "nois": [3, 5], "gmod": 3, "extent": 3, "modif": [3, 5], "implement": [0, 3, 5, 7], "norm": [3, 5], "linalg": [3, 5], "inf": 3, "neglig": [3, 4, 7], "notic": 3, "lead": [3, 5, 7], "eig": 3, "member": 3, "befor": [3, 7], "commensur": 3, "interpret": 3, "numer": [0, 3, 6, 7], "robust": [0, 3, 4], "especi": [3, 4, 7], "system": [3, 5], "roundoff": [3, 7], "destabil": 3, "calul": 3, "similar": [0, 3, 4, 7], "situat": [3, 4, 5], "badli": [0, 3], "i_wgt": 3, "non": [3, 4, 5, 6], "1x1": 3, "inv_cov": 3, "nxn": 3, "similarli": [3, 4, 5, 7], "expect": [0, 3, 6], "u": [3, 5], "desir": 3, "simul": [3, 6, 7], "choleski": 3, "dicitionari": 3, "multipli": 3, "neg": [3, 5], "eigenmod": [3, 4], "nmod": [3, 4], "nblock": 3, "debug": [3, 5], "logdet": [3, 5], "separ": [3, 4, 7], "drop": [3, 4, 7], "spectral": 3, "eignevalu": 3, "eigen_rang": 3, "rescal": [3, 5], "exclud": 3, "curv": [3, 4], "rebuild": 3, "strip": 3, "wherev": 3, "aren": 3, "anti": [3, 7], "rebuilt": 3, "exist": [3, 4, 5, 6], "eras": [3, 4], "switch_gvar": [3, 7], "switch": [3, 7], "factori": 3, "gvar_factori": [3, 7], "never": [3, 7], "unsupport": 3, "messag": 3, "incompat": 3, "restore_gvar": [3, 7], "intern": [3, 7], "fundament": [3, 7], "basic": [3, 5], "allow": [3, 4, 5, 7], "isol": 3, "partialvar": 3, "convent": 3, "disentangl": 3, "partialsdev": [3, 7], "respest": 3, "hold": 3, "constant": 3, "__str__": 3, "too": [0, 4, 5], "67": [4, 5], "log10": [], "exponenti": 5, "notat": [5, 7], "refer": 3, "dotder": 3, "product": [3, 7], "heavili": 3, "flexibl": [3, 7], "ordinari": [3, 6], "pack": 3, "item": [3, 4], "buf": 3, "overwritten": 3, "valueerror": [3, 5], "except": [3, 4, 5], "fine": [3, 5], "second": [3, 5, 7], "log": [3, 5, 7], "though": [3, 7], "still": [3, 5, 7], "exp": [3, 5, 7], "featur": [3, 7], "support": [3, 4, 5, 7], "gaussain": 3, "1662650927997817": 3, "3350022125310317": 3, "732161128765775": 3, "578188553455522": 3, "four": [3, 4], "get": [0, 3, 4, 7], "add_distribut": 3, "c": [3, 5, 7], "dynam": [3, 6], "itself": [3, 7], "int64": 3, "float64": 3, "anoth": [3, 4, 5, 7], "subsequ": [3, 5], "some": [3, 5, 7], "arithemet": 3, "sai": [3, 5], "33": [3, 5, 7], "subtract": 3, "divis": 3, "oper": [3, 5, 7], "unari": 3, "clone": 3, "nbuf": 3, "1d": 3, "direct": [3, 5], "new_val": 3, "th": [3, 5, 7], "alwai": [3, 7], "sever": [3, 4, 5], "simplifi": [3, 7], "Being": [3, 5], "henc": [3, 4], "flatten": 3, "slice": [3, 4], "slice_shap": 3, "has_dictkei": 3, "all_kei": 3, "implicit": [0, 3], "718281828459045": 3, "implicitli": 3, "static": 3, "invfcn": 3, "enabl": 3, "avail": [3, 4, 5], "erfinv": 3, "erf": [3, 7], "rais": [3, 5], "delet": 3, "del_distribut": 3, "callabl": 3, "transform": 3, "has_distribut": 3, "fname": 3, "umin": 3, "umax": 3, "minimum": [3, 4, 5], "handl": [3, 7], "mat": 3, "svdnum": 3, "compute_delta": 3, "po": 3, "sym": 3, "eigenvector": [3, 5], "elimin": 3, "val": [3, 4, 5, 7], "94098301": 3, "05901699": 3, "vec": [3, 5], "1st": 3, "97324899": 3, "22975292": 3, "2nd": 3, "forc": 3, "2354102": 3, "decomp": 3, "invmat": 3, "outer": 3, "wj": 3, "00000000e": 3, "77555756e": 3, "66533454e": 3, "delta": [3, 5], "valmin": 3, "valorig": 3, "precondit": 3, "m": [3, 5, 7], "uncondit": 3, "Is": 3, "power": [3, 6], "sum_i": [3, 5], "That": [3, 5], "logpdf": 3, "eig_max": [], "amelior": 4, "problem": [4, 6, 7], "leav": [], "skew": [3, 7], "excess": [3, 7], "kurtosi": [3, 7], "option": [3, 4, 5], "histgram": [], "prob": 3, "accumul": 4, "coeffici": [3, 4, 5], "ex_kurt": [3, 7], "median": [3, 4, 7], "34": [3, 4, 7], "minu": [3, 7], "nbin": 4, "binwidth": [], "util": [], "studi": [5, 6, 7], "10000": 3, "hist": [], "stat": [3, 7], "turn": 3, "base": [3, 4], "0017": [], "0213": [], "1358": [], "3401": [], "3418": [], "1351": [], "0018": [], "52334": [], "0069999": [], "034105": [], "00141666398": [], "499891542549": [], "501710986504": [], "plt": 7, "make_plot": [], "xlabel": 7, "ylabel": [], "complic": [0, 4, 7], "default_nbin": [], "default_binwidth": [], "edg": 3, "overrid": 4, "midpoint": [], "h": 5, "close": 7, "open": [4, 7], "right": [3, 7], "characterist": [], "plottyp": [], "bar": 4, "alpha": 7, "color": 7, "errorbar": 3, "ls": [], "window": [], "boolean": 7, "display": [], "cumul": [], "graph": [], "heavi": 3, "elementari": [3, 5], "bufferdict": [4, 6, 7], "six": 4, "look": [4, 5, 7], "random_numb": 4, "739": 4, "682": 4, "493": 4, "460": 4, "603": 4, "800": 4, "random_arrai": 4, "494": 4, "734": 4, "172": 4, "400": [3, 4], "571": 4, "304": 4, "532": 4, "510": 4, "669": 4, "873": 4, "242": 4, "188": 4, "random_dict": 4, "synchron": 4, "other": [0, 3, 4, 5, 7], "With": [3, 4], "31": [4, 5], "guess": 4, "95": [4, 7], "behind": [4, 7], "assembl": 4, "imagin": 4, "datafil": 4, "ident": [4, 7], "bracket": [4, 5], "comma": 4, "yaml": 4, "dfile": 4, "load_al": 4, "record": 4, "binsiz": 4, "three": [3, 4, 7], "manag": 4, "spread": [3, 4], "bstrap": 4, "noerror": 4, "mismatch": 4, "truncat": [4, 5], "99": [3, 4, 5, 7], "54": 4, "121": 4, "149": 4, "135": [4, 7], "64": [4, 7], "69": [0, 4, 5], "108": 4, "substanti": [3, 4], "eg": [4, 5], "10x": 4, "poorli": 4, "svd": [4, 5, 6], "trigger": [], "amount": 4, "unaffect": 4, "extrem": [4, 5, 7], "outlier": 4, "third": 5, "explicit": [4, 7], "fourth": 3, "fifth": [], "slowest": 4, "decorrel": [3, 4], "fastest": 4, "autocorr": 4, "autocorrel": 4, "distanc": [4, 7], "perfect": 4, "anticorrel": 4, "odd": 4, "fft": 4, "grow": 4, "linearli": 4, "up": [3, 4, 5], "consecut": 4, "group": [4, 7], "insuffici": 4, "complet": [4, 7], "repetit": 4, "among": [4, 7], "data_it": 4, "consequ": [4, 7], "variat": [3, 4, 7], "deal": [4, 5, 7], "inputdata": 4, "grep": 4, "h5group": 4, "identifi": [3, 4], "consid": [4, 5, 7], "dset": 4, "91": 4, "dd": 4, "statement": [4, 7], "extend": 4, "batch": [3, 4, 7], "huge": 4, "concern": 4, "93": 4, "regular": 4, "hdf5": 4, "h5py": 4, "h5": 4, "mcdata": 4, "f8": 4, "dset_bin": 4, "dset_v": 4, "comment": 4, "suppli": [4, 5, 7], "gz": 4, "bz2": 4, "Its": 4, "don": 4, "kept": 4, "top": 4, "samples": 4, "merg": [3, 4], "file1": 4, "data_extra": 4, "file2": 4, "now": [3, 4, 5, 7], "rexp": 4, "accord": 4, "re": 4, "xx": 4, "xy": 4, "200": [3, 4], "yy": 4, "sl": 4, "success": [4, 5], "exce": 4, "arrayzip": 4, "templat": 4, "2x2": 4, "long": [4, 5], "trim": 4, "toarrai": 4, "nbstrap": 4, "mincut": 4, "model": 4, "process_dataset": 4, "diagnos": 4, "reliabl": [4, 5], "good": [0, 4, 5], "avgdata": 4, "defect": 4, "actual": [4, 5, 7], "command": 4, "ns": 4, "Then": [4, 5, 7], "conjunct": 4, "multifitt": 4, "fitter": 4, "pdata": 4, "bad": [4, 5], "bsval": 4, "blue": [4, 7], "versu": 4, "across": [3, 4], "propos": [4, 5], "intersect": 4, "vertic": 4, "algorithm": [0, 5], "pure": [5, 7], "perhap": 5, "minor": 5, "adapt": [5, 7], "cspline": 5, "powerseri": 5, "smooth": [5, 7], "interpol": 5, "xknot": 5, "yknot": 5, "extrap_ord": 5, "alg": 5, "steffen": 5, "knot": 5, "continu": [3, 5, 7], "polynomi": 5, "adjac": 5, "d2": 5, "d3": 5, "increasingli": 5, "outsid": [3, 5], "As": [0, 5, 7], "idea": 5, "constructor": 5, "closest": 5, "extrapol": 5, "vicin": 5, "endpoint": [0, 5], "explicitli": [5, 7], "dydx_i": 5, "dydx_f": 5, "select": 5, "monoton": 5, "quadrat": 5, "natur": 5, "boundari": 5, "pchip": 5, "pchipinterpol": 5, "smoothest": 5, "overreact": 5, "abrupt": 5, "jump": 5, "unrealist": 5, "around": [5, 7], "unabl": 5, "overshoot": 5, "irrelev": 5, "78539816": 5, "57079633": 5, "35619449": 5, "14159265": 5, "70710678": 5, "644243383100598": 5, "7655924482958195": 5, "23496394264839268": 5, "exact": [3, 5], "pretti": 5, "2951": 5, "9551": 5, "2842": 5, "0446": 5, "2955": 5, "9553": 5, "0447": 5, "4791": 5, "8793": 5, "4737": 5, "1222": 5, "4794": 5, "8776": 5, "1224": 5, "6442": 5, "7656": 5, "6632": 5, "2350": 5, "7648": 5, "2352": 5, "7830": 5, "6176": 5, "7891": 5, "3782": 5, "7833": 5, "6216": 5, "3784": 5, "8902": 5, "4520": 5, "8676": 5, "5461": 5, "8912": 5, "4536": 5, "5464": 5, "9627": 5, "2706": 5, "9461": 5, "7319": 5, "9636": 5, "2675": 5, "7325": 5, "9974": 5, "0735": 5, "0246": 5, "9286": 5, "9975": 5, "07074": 5, "9293": 5, "7618635470106572": 5, "cours": [5, 7], "region": 5, "although": 5, "sequenc": 5, "locat": [3, 5, 7], "nearest": 5, "common": [5, 7], "practic": 5, "suppress": [3, 5], "det": [3, 5], "deterim": 5, "slogdet": 5, "sign": 5, "inv": 5, "solv": [5, 7], "lstsq": 5, "rcond": 5, "extrainfo": 5, "minim": 5, "isig": 5, "machin": [5, 7], "unweight": 5, "rank": 5, "eigvalsh": 5, "eigvec": 5, "hermitian": 5, "ascend": 5, "eigh": 5, "degener": 5, "eigvector": 5, "compute_uv": 5, "vt": 5, "diag": 5, "rung": 5, "kutta": 5, "05": [3, 5], "hmin": 5, "hmax": 5, "maxstep": 5, "dy": [5, 7], "odeint": 5, "x1": 5, "x0": 5, "y1": 5, "y2": 5, "x2": 5, "interfac": 5, "specif": [3, 5, 7], "rewritten": 5, "step": [5, 7], "track": [3, 5, 7], "decreas": 5, "repeat": 5, "ngood": 5, "nbad": 5, "custom": 5, "criterion": 5, "yerr": 5, "delta_i": 5, "fab": [5, 7], "current": [3, 5], "achiev": [5, 7], "higher": [5, 7], "entir": [5, 7], "request": 5, "infinit": 5, "loop": 5, "runtimeerror": 5, "intermedi": 5, "dictintegr": 5, "ste": 5, "psize": 5, "soln": 5, "fcnshape": 5, "500000002834": 5, "x3": 5, "integrand": [0, 5], "fshape": 5, "gavg": 5, "denomin": [5, 7], "num": 5, "den": 5, "pade_svd": 5, "imprecis": 5, "unstabl": 5, "500": [5, 7], "1667": 5, "04167": 5, "083": 5, "55": 5, "714": 5, "58": 5, "583": 5, "82": 5, "29": [0, 5], "geometr": 5, "avg": 5, "skip": 5, "pade_gvar": 5, "gonnet": 5, "guttel": 5, "trefethen": 5, "siam": 5, "review": 5, "vol": 5, "101": [3, 5], "2013": 5, "f0": 5, "f1": 5, "f2": 5, "f3": 5, "principl": 5, "finit": 5, "highest": 5, "unknown": 5, "oppos": 5, "theorem": 5, "g0": 5, "calculu": [5, 7], "4th": 5, "ps": [5, 7], "16666667": 5, "04166667": 5, "tan": [5, 7], "operand": 5, "lowest": 5, "00833333": 5, "easili": [0, 5, 7], "0000e": 5, "7755e": 5, "6327e": 5, "166666666667": 5, "0100501670833": 5, "0100501670842": 5, "f00": 5, "f10": 5, "f01": 5, "f20": 5, "f11": 5, "f02": 5, "multiseri": 5, "g_taylor": 5, "375": 5, "2734375": 5, "exp_taylor": 5, "multivar": 5, "dim": 5, "3495000000000001": 5, "3498588075760032": 5, "overridden": 5, "pad": 5, "short": 5, "altogeth": 5, "3rd": 5, "yield": [3, 5], "mathemat": [5, 7], "coeff": 5, "indefinit": 5, "i1": 5, "i2": 5, "id": 5, "xd": 5, "expon": 5, "space": [3, 5], "1384283767210035": 5, "4522712143931042": 5, "14159265359": 5, "setp": 5, "examin": [3, 5, 7], "stop": 5, "found": 5, "By": [3, 5, 7], "nit": 5, "142": [5, 7], "reflect": 5, "descript": 5, "incr": 5, "fac": 5, "maxit": 5, "coars": 5, "seek": 5, "0912680532870755": 5, "4003948586157833": 5, "dimenions": 5, "sought": 5, "increment": 5, "monitor": 5, "occur": 5, "fcnval": 5, "1000": [3, 5], "insid": 5, "richard": 5, "brent": 5, "book": 5, "1973": 5, "confin": 5, "sy": [3, 5], "float_info": [3, 5], "epsilon": 5, "converg": 5, "userwarn": 5, "overview": 6, "tutori": 6, "introduct": 6, "optim": 6, "vega": [3, 7], "pdfintegr": 3, "pdf": 6, "relat": 6, "cubic": 6, "spline": 6, "linear": [3, 6, 7], "algebra": 6, "pade": 6, "seri": [6, 7], "find": 6, "pendulum": 6, "clock": 6, "period": 6, "poor": 6, "better": [0, 6, 7], "page": 6, "arbitrarili": 7, "character": 7, "mass": 7, "125": 7, "gev": 7, "recent": 7, "discov": 7, "higg": 7, "boson": 7, "particl": 7, "physic": 7, "energi": 7, "carri": 7, "momentum": 7, "70": 7, "38": [3, 7], "279303665": 7, "375787639425": 7, "compact": 7, "parenthes": 7, "rightmost": [3, 7], "quot": 7, "nontrivi": 7, "mostli": 7, "strongli": 7, "cancel": 7, "07621": 7, "obviou": 7, "off": [3, 7], "14867019": 7, "14121635": 7, "98905722": 7, "98": [3, 7], "4e": 7, "know": [0, 7], "04": 7, "06": 7, "thousand": 7, "fed": 7, "complex": 7, "scene": 7, "learn": 7, "focus": 7, "experiment": 7, "bayesian": 7, "mont": [3, 7], "carlo": [3, 7], "outermost": 7, "parenthesi": 7, "__future__": 7, "print_funct": 7, "your": 7, "built": 7, "rule": [0, 7], "denot": 7, "primordi": 7, "72": 7, "374": 7, "511": 7, "1415": 7, "0002": 7, "14150": 7, "you": 7, "unsur": 7, "interest": 7, "special": 7, "015625": 7, "sigma_x": 7, "sigma_i": 7, "fairli": 7, "96": 7, "garrai": 7, "gdict": 7, "arithemt": [], "0039": 7, "010": 7, "happen": 7, "stronger": 7, "4072": 7, "87": 7, "99805258": 7, "9995188": 7, "arcsin": 7, "arcco": 7, "arctan": 7, "arctan2": 7, "sinh": 7, "cosh": 7, "tanh": 7, "arcsinh": 7, "arccosh": 7, "arctanh": 7, "languag": 7, "directli": [0, 7], "capabl": 7, "logic": 7, "beyond": [0, 7], "scope": 7, "act": 7, "easier": 7, "fmean": [0, 7], "fder": 7, "sometim": [3, 7], "00390244274": 7, "compil": 7, "80": 7, "84": 7, "respons": 7, "captur": 7, "easiest": 7, "gfile": 7, "lost": 7, "wb": 7, "rb": [3, 7], "Of": 7, "simpler": 7, "goal": 7, "unimport": 7, "matter": 7, "abl": 7, "__init__": 7, "__reduce__": 7, "stream": 7, "un": 7, "scale": 7, "appreci": 7, "permit": [], "fhist": [], "fstat": [], "fp": [], "p_expval": [], "neval": [], "5000": [], "nitn": [], "summari": [], "approx": 7, "p_0": [], "p_1": [], "xlim": [], "correct_fp": [], "linspac": [0, 7], "xi": 0, "variou": [], "00032": [], "90": [3, 7], "9992": [], "99976": [], "9987": [], "99942": [], "57": [], "97": [], "00058": [], "92": [], "99971": [], "49": 3, "89": 3, "74": [], "99992": [], "99975": [], "44": 0, "73": [], "00059": [], "99989": [], "71": [], "99830": [], "99966": [], "37": 3, "00201": [], "88": [], "99996": [], "77": [], "9977": [], "86": [], "9996": [], "99970": [], "32": 0, "01862": [], "043161": [], "004672": [], "011470": [], "20692": [], "2567": [], "116": [], "00017": [], "17397": [], "11705": [], "43": [], "020": 7, "94": 7, "summar": [], "perform": 0, "side": [3, 7], "0186": [], "somewhat": [], "2069": [], "094": [], "broader": 7, "019": [], "207": [], "neither": 7, "maximimum": [], "68": [], "succinct": [], "29895701465": [], "00633184275": [], "92649199321": [], "giter": [], "da": [0, 7], "51874589": [], "59987422": [], "39755111": [], "24780937": [], "49840244": [], "50643312": [], "vari": 3, "rare": [], "0000": [], "88986130981173306": [], "02994213": [], "99973707": [], "21289976681277872": [], "9351328": [], "00008606": [], "justifi": [], "obvious": [], "wrong": [], "ran_x": [], "_": 3, "ran_co": [], "dev": [], "0350548954142": [], "718647118869": [], "100000": [], "00806276057656": [], "706357174056": [], "procedur": [], "trivial": 7, "analys": [], "fake": 7, "005": 7, "gbs_iter": 7, "gb": 7, "valid": 7, "potenti": 7, "problemat": 7, "ada": 7, "00010": 7, "encod": 7, "2e": 7, "bit": [0, 7], "lot": 7, "necessarili": 7, "slower": 7, "allevi": 7, "absent": 7, "earlier": [3, 7], "seven": [], "sixth": [], "unbia": [3, 4], "x_avg": [], "y_avg": [], "x_i": [], "overlin": 3, "y_i": [], "unbias": [3, 4], "bias": [3, 4], "arger": [], "bia": [3, 4], "But": 4, "mimatch": [], "2p": [3, 7], "9315": 3, "2g": [3, 7], "931": 3, "230": 3, "14159": 7, "0236": 7, "3f": [3, 7], "1416": 7, "236": 7, "field": [3, 7], "3p": 7, "exactli": 3, "round": [], "023": 7, "default_format": [3, 7], "formatt": [3, 7], "new_formatt": 7, "spec": [3, 7], "2360": [], "0e": 0, "__format__": 3, "314": 3, "56": 3, "3e": 3, "231": 3, "156": 3, "123": 3, "symbol": 3, "oldparam": 3, "default_spec": [], "plusminu": 3, "reset": 3, "3g": 3, "buggi": 3, "deprec": 3, "prang": 3, "dig": 3, "4g": 3, "old_set": 7, "pm": 7, "latex": 7, "0f": 7, "nbatch": [3, 7], "lbatch": 3, "0239135": [], "94592664": [], "06655652": [], "97852138": [], "23186409": [], "1673081": [], "59670179": [], "04535238": [], "27044908": [], "93784792": [], "gd": [], "gdsampl": [], "8881201102965379": [], "83217663": [], "98929108": [], "202670589390983": [], "03598111": [], "02423926": [], "5991340100527336": [], "35754961": [], "31992993": [], "4862493178647": [], "41609385": [], "20888545": [], "6335806566474729": [], "63157035": [], "74106815": [], "999": [3, 7], "100_000": 7, "98272468": [], "16873007": [], "47844468": [], "93475089": [], "31340101": [], "04474889": [], "15249723": [], "98256636": [], "20920443": [], "09889162": [], "33494399": [], "01527163": [], "69278241": [], "07492998": [], "07872294": [], "05477431": [], "45554975": [], "9654675": [], "10586744": [], "93997198": [], "95142673": [], "90312524": [], "34502245": [], "92517359": [], "packag": 3, "leftmost": 3, "rbatch": 3, "secifi": [], "25072643": [], "42396417": [], "63287128": [], "92019279": [], "0993187": [], "1815683": [], "99925975": [], "97497199": [], "06841032": [], "05376764": [], "14129203": [], "91718933": [], "bbuf": [], "300": 3, "2000": 3, "3000": 3, "4000": 3, "lbatch_buf": 3, "pull": 3, "batch_it": 3, "view": 3, "rbatch_buf": 3, "unavoid": [], "inspect": [], "34469829e": [], "22953742e": [], "43115161e": [], "89756447e": [], "36871947e": [], "25473880e": [], "01049036e": [], "00408301e": [], "01933378e": [], "87831381e": [], "94660036e": [], "93136768e": [], "4114316": [], "50914253": [], "18149976": [], "53326531": [], "51031127": [], "40934912": [], "93081233": [], "86956998": [], "0100486": [], "06448744": [], "08829043": [], "0012059": [], "25204162": [], "5168337": [], "3847358": [], "03651061": [], "47949703": [], "74572822": [], "62684413": [], "57561948": [], "2995876": [], "82632101": [], "2824903": [], "72600357": [], "nearli": [], "lbuf": 3, "lb": 3, "frequent": 3, "conveni": 3, "rbuf": 3, "xsampl": [], "56994767": [], "88039056": [], "16745726": [], "660163": [], "74347952": [], "6948059": [], "cos_xsampl": [], "cos_x": [], "009": [], "708": [], "draw": 3, "plausibl": [], "usefulli": [], "f_p": 7, "f_p_sim": 7, "stair": 7, "fill": 7, "ec": 7, "lw": 7, "sim": 7, "gauss": 7, "legend": 7, "nstatist": [], "018769738628101846": [], "20739": [], "27825": [], "0849": [], "03372571848916756": [], "16875932667218416": [], "13574922445045393": [], "nmoment": 7, "01876974": [], "04336239": [], "00491038": [], "01153368": [], "nsimul": 7, "twice": [3, 7], "fat": 7, "tail": [3, 7], "simpli": 7, "brief": [], "grai": 7, "fragment": 7, "uniformli": 7, "connect": 7, "bs": 7, "41585784": [], "84624679": [], "95343504": [], "16140656": [], "55682654": [], "15161203": [], "73247137": [], "86202158": [], "01826657": [], "96354596": [], "84731499": [], "89887695": [], "46022827": [], "9597582": [], "20843281": [], "84544795": [], "62111936": [], "8628176": [], "3329396": [], "9342372": [], "35058372": [], "86980764": [], "08728368": [], "91089055": [], "gvar_from_sampl": [3, 7], "gs": 3, "10_000": 3, "00377014": [], "88052229": [], "09076401": [], "96009703": [], "95022236": [], "99899992": [], "07788482": [], "91319467": [], "15738812": [], "85761143": [], "96357467": [], "9566585": [], "g_g": 3, "002": [], "00995314": [], "00495731": [], "00984373": [], "81": 3, "28683979": 3, "01220091": 3, "88237606": 3, "11822824": 3, "43494815": 3, "31612878": 3, "01067406": 3, "63392898": 3, "41686281": 3, "87272547": 3, "7961971": 3, "19975679": 3, "8001385": 3, "10049553": 3, "81289579": 3, "mom": 3, "stderr": [3, 4], "9923": 3, "9932": 3, "8945": 3, "63": 3, "9016": 3, "65": 3, "__call__": 3, "p2x": [], "map": [], "ax": [], "x2dpflat": [], "displac": [], "03301713218946034": 3, "65655789": 3, "64702394": 3, "71081068": 3, "12894464": 3, "41654825": 3, "39854737": 3, "42461779": 3, "97666448": 3, "94348928": 3, "46761851": 3, "10887492": 3, "46469306": 3, "6012229": 3, "07082101": 3, "8592698": 3, "55615515": 3, "3894677": 3, "50053354": 3, "60155065": 3, "11041462": 3, "28127683": 3, "53331081": 3, "62228298": 3, "70607512": 3, "63029983": 3, "8487004": 3, "3074379": 3, "38207642": 3, "22812261": 3, "19961713": 3, "74325077": 3, "92798523": 3, "fluction": [], "defaults": [], "old_ranse": [], "legaci": [3, 4], "disappear": 3, "eventu": 3, "quad_vec": 0, "int_a": [], "trap_integr": 0, "trapezoid": 0, "fx": 0, "itrap": 0, "simplest": 0, "purpos": 0, "itrap_g": 0, "3633": 0, "100x": 0, "p_": [], "di_dp": 0, "p_i": [0, 3], "leverag": 6, "limits_a": 0, "paramt": 3, "di": 0, "dp_0": 0, "dp_1": 0, "frac": 0, "quad": 0, "db": 0, "dp_i": 0, "mbox": 0, "buri": 0, "pf": 0, "fvec": [], "epsrel": 0, "sum_fx": 0, "dpf": 0, "df_dpf": 0, "di_dpf": 0, "ingredi": 0, "anyth": 0, "i_g": 0, "iode_g": 0, "iod": 0, "35": 0, "39": 0, "consum": 0, "strategi": 0, "librari": 0, "rng": 3, "repurpos": 5, "i_invwgt": 3, "semi": 3, "otherwwis": 3, "simultan": 3, "pdf_p": 3, "nchiv": 3, "chiv": 3, "meanflat": 3, "dp_dchiv": 3, "jacobian": 3, "d_p": [], "d_chiv": [], "ig": [], "chi_i": 3, "pflat": 3, "proport": 3, "cdot": 3, "mathrm": 3, "_p": 3, "equiv": 3, "cov_p": [], "ild": [], "sum_j": [], "m_": [], "ij": [], "p_j": [], "reexpress": 3, "coordin": 3, "am": 3, "properti": [], "9548573": [], "028731": [], "42": [], "643": [], "9765402": [], "0124721": [], "038875": [], "9596352": [], "0222820": [], "032022": [], "plot_histogram": [3, 7], "peak": 3, "wider": [], "overlai": 3, "loc": 3, "splitnorm": 3, "vice": 4, "versa": 4, "_i": [], "lognorm": 3, "chi_j": 3, "discontinu": 3, "01853488383829559": [], "2066": [], "26397": [], "1641": [], "0011200607424306193": [], "21948": [], "1935": [], "006297675685586775": [], "16724": [], "13478": [], "iif": [], "psampl": 3, "p01sampl": 3, "04984998319800227": [], "086901": [], "184": [], "5355": [], "009115651690564448": [], "11113": [], "053596": [], "029526361306773396": [], "096557": [], "043807": [], "05190738402779899": 3, "088379": 3, "2499": 3, "5594": 3, "0069": 3, "1144": 3, "0517": 3, "0327": 3, "0960": 3, "0486": 3, "betwen": 3, "binomi": 3, "01909415": 7, "04337961": 7, "00513808": 7, "0115701": 7, "01909414973482394": 7, "2074": 7, "29896": 7, "0921": 7, "00018": 7, "2213": 7, "1930": 7, "00702": 7, "1675": 7, "13656": 7}, "objects": {"": [[3, 0, 0, "-", "gvar"]], "gvar": [[3, 1, 1, "", "BufferDict"], [3, 1, 1, "", "GVar"], [3, 1, 1, "", "GVarRef"], [3, 1, 1, "", "PDF"], [3, 1, 1, "", "PDFStatistics"], [3, 1, 1, "", "SVD"], [3, 4, 1, "", "bootstrap_iter"], [3, 4, 1, "", "chi2"], [3, 4, 1, "", "corr"], [3, 4, 1, "", "correlate"], [3, 4, 1, "", "cov"], [5, 0, 0, "-", "cspline"], [4, 0, 0, "-", "dataset"], [3, 4, 1, "", "dependencies"], [3, 4, 1, "", "deriv"], [3, 4, 1, "", "disassemble"], [3, 4, 1, "", "distribute_gvars"], [3, 4, 1, "", "dump"], [3, 4, 1, "", "dumps"], [3, 4, 1, "", "equivalent"], [3, 4, 1, "", "evalcorr"], [3, 4, 1, "", "evalcov"], [3, 4, 1, "", "evalcov_blocks"], [3, 4, 1, "", "filter"], [3, 4, 1, "", "fmt"], [3, 4, 1, "", "fmt_chi2"], [3, 4, 1, "", "fmt_errorbudget"], [3, 4, 1, "", "fmt_values"], [3, 4, 1, "", "gdump"], [3, 4, 1, "", "gdumps"], [3, 4, 1, "", "gload"], [3, 4, 1, "", "gloads"], [3, 4, 1, "", "gvar"], [3, 4, 1, "", "gvar_factory"], [3, 4, 1, "", "gvar_from_sample"], [3, 4, 1, "", "gvar_function"], [3, 4, 1, "", "is_primary"], [5, 0, 0, "-", "linalg"], [3, 4, 1, "", "load"], [3, 4, 1, "", "loads"], [3, 4, 1, "", "mean"], [5, 0, 0, "-", "ode"], [5, 0, 0, "-", "powerseries"], [3, 4, 1, "", "qqplot"], [3, 4, 1, "", "raniter"], [3, 4, 1, "", "ranseed"], [3, 4, 1, "", "reassemble"], [3, 4, 1, "", "rebuild"], [3, 4, 1, "", "regulate"], [3, 4, 1, "", "remove_gvars"], [3, 4, 1, "", "restore_gvar"], [5, 0, 0, "-", "root"], [3, 4, 1, "", "sample"], [3, 4, 1, "", "sdev"], [3, 4, 1, "", "svd"], [3, 4, 1, "", "switch_gvar"], [3, 4, 1, "", "tabulate"], [3, 4, 1, "", "uncorrelated"], [3, 4, 1, "", "var"]], "gvar.BufferDict": [[3, 2, 1, "", "add_distribution"], [3, 2, 1, "", "all_keys"], [3, 2, 1, "", "batch_iter"], [3, 3, 1, "", "buf"], [3, 2, 1, "", "del_distribution"], [3, 3, 1, "", "dtype"], [3, 3, 1, "", "flat"], [3, 2, 1, "", "flatten"], [3, 2, 1, "", "has_dictkey"], [3, 2, 1, "", "has_distribution"], [3, 3, 1, "", "shape"], [3, 3, 1, "", "size"], [3, 2, 1, "", "slice"], [3, 2, 1, "", "slice_shape"], [3, 2, 1, "", "uniform"]], "gvar.GVar": [[3, 2, 1, "", "__format__"], [3, 2, 1, "", "__str__"], [3, 3, 1, "", "cov"], [3, 3, 1, "", "der"], [3, 2, 1, "", "deriv"], [3, 2, 1, "", "dotder"], [3, 2, 1, "", "fmt"], [3, 3, 1, "", "mean"], [3, 2, 1, "", "partialsdev"], [3, 2, 1, "", "partialvar"], [3, 3, 1, "", "sdev"], [3, 2, 1, "", "set"], [3, 3, 1, "", "var"]], "gvar.PDF": [[3, 2, 1, "", "__call__"], [3, 2, 1, "", "chi2"], [3, 2, 1, "", "chiv"], [3, 3, 1, "", "correction"], [3, 3, 1, "", "cov"], [3, 3, 1, "", "distribution"], [3, 3, 1, "", "dp_dchiv"], [3, 3, 1, "", "i_invwgts"], [3, 3, 1, "", "i_wgts"], [3, 3, 1, "", "invcov"], [3, 3, 1, "", "logdet"], [3, 2, 1, "", "logpdf"], [3, 3, 1, "", "mean"], [3, 3, 1, "", "meanflat"], [3, 3, 1, "", "nblocks"], [3, 3, 1, "", "nchiv"], [3, 3, 1, "", "nmod"], [3, 2, 1, "", "pflat"], [3, 2, 1, "", "sample"], [3, 3, 1, "", "shape"], [3, 3, 1, "", "size"]], "gvar.PDFStatistics": [[3, 3, 1, "", "bins"], [3, 3, 1, "", "ex_kurt"], [3, 3, 1, "", "gvar"], [3, 3, 1, "", "mean"], [3, 3, 1, "", "median"], [3, 3, 1, "", "moments"], [3, 2, 1, "", "plot_histogram"], [3, 3, 1, "", "prob"], [3, 3, 1, "", "sdev"], [3, 3, 1, "", "skew"], [3, 3, 1, "", "splitnormal"]], "gvar.SVD": [[3, 3, 1, "", "D"], [3, 2, 1, "", "decomp"], [3, 3, 1, "", "delta"], [3, 3, 1, "", "eigen_range"], [3, 3, 1, "", "nmod"], [3, 3, 1, "", "val"], [3, 3, 1, "", "valmin"], [3, 3, 1, "", "valorig"], [3, 3, 1, "", "vec"]], "gvar.cspline": [[5, 1, 1, "", "CSpline"]], "gvar.dataset": [[4, 1, 1, "", "Dataset"], [4, 4, 1, "", "autocorr"], [4, 4, 1, "", "avg_data"], [4, 4, 1, "", "bin_data"], [4, 4, 1, "", "bootstrap_iter"], [4, 1, 1, "", "svd_diagnosis"]], "gvar.dataset.Dataset": [[4, 2, 1, "", "append"], [4, 2, 1, "", "arrayzip"], [4, 2, 1, "", "extend"], [4, 2, 1, "", "grep"], [4, 3, 1, "", "samplesize"], [4, 2, 1, "", "slice"], [4, 2, 1, "", "toarray"], [4, 2, 1, "", "trim"]], "gvar.dataset.svd_diagnosis": [[4, 3, 1, "", "avgdata"], [4, 3, 1, "", "bsval"], [4, 3, 1, "", "eps"], [4, 3, 1, "", "nmod"], [4, 2, 1, "", "plot_ratio"], [4, 3, 1, "", "svdcut"], [4, 3, 1, "", "val"]], "gvar.linalg": [[5, 2, 1, "", "det"], [5, 2, 1, "", "eigh"], [5, 2, 1, "", "eigvalsh"], [5, 2, 1, "", "inv"], [5, 2, 1, "", "lstsq"], [5, 2, 1, "", "slogdet"], [5, 2, 1, "", "solve"], [5, 2, 1, "", "svd"]], "gvar.ode": [[5, 1, 1, "", "DictIntegrator"], [5, 1, 1, "", "Integrator"], [5, 1, 1, "", "Solution"], [5, 4, 1, "", "integral"]], "gvar.pade": [[5, 1, 1, "", "Pade"], [5, 4, 1, "", "pade_gvar"], [5, 4, 1, "", "pade_svd"]], "gvar.powerseries": [[5, 1, 1, "", "PowerSeries"], [5, 4, 1, "", "multiseries"], [5, 4, 1, "", "multivar"]], "gvar.powerseries.PowerSeries": [[5, 3, 1, "", "coeff"], [5, 2, 1, "", "deriv"], [5, 2, 1, "", "integ"]], "gvar.root": [[5, 2, 1, "", "refine"], [5, 2, 1, "", "search"]]}, "objtypes": {"0": "py:module", "1": "py:class", "2": "py:method", "3": "py:attribute", "4": "py:function"}, "objnames": {"0": ["py", "module", "Python module"], "1": ["py", "class", "Python class"], "2": ["py", "method", "Python method"], "3": ["py", "attribute", "Python attribute"], "4": ["py", "function", "Python function"]}, "titleterms": {"case": [0, 1, 2], "studi": [0, 1, 2], "numer": [1, 5], "analysi": [1, 5], "pendulum": 1, "clock": 1, "The": [0, 1, 2], "problem": [0, 1, 2], "dynam": 1, "find": [1, 5], "period": 1, "simul": 1, "correl": 2, "svd": [2, 3], "cut": 2, "A": 2, "poor": 2, "solut": 2, "better": 2, "gvar": [3, 4, 5, 6, 7], "gaussian": [3, 7], "random": [3, 4, 7], "variabl": [3, 7], "introduct": [3, 4, 7], "function": [3, 4, 5, 7], "object": 3, "bufferdict": 3, "vega": [], "pdfintegr": [], "other": [], "pdf": 3, "relat": 3, "requir": 3, "dataset": 4, "data": 4, "set": 4, "class": 4, "modul": 5, "cubic": 5, "spline": 5, "linear": 5, "algebra": 5, "ordinari": 5, "differenti": 5, "equat": 5, "One": 5, "dimension": 5, "integr": [0, 5], "pade": 5, "approxim": 5, "power": 5, "seri": 5, "us": [5, 7], "multivari": 5, "taylor": 5, "expans": 5, "python": 5, "root": 5, "document": 6, "indic": 6, "tabl": 6, "overview": 7, "tutori": 7, "creat": [0, 7], "arithmet": 7, "error": 7, "budget": 7, "from": 7, "store": 7, "later": 7, "non": 7, "expect": 7, "valu": 7, "number": [], "gener": [], "limit": 7, "optim": 7, "format": 7, "print": 7, "displai": 7, "sampl": 7, "distribut": 7, "an": 0, "leverag": 0, "exist": 0, "code": 0}, "envversion": {"sphinx.domains.c": 2, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 6, "sphinx.domains.index": 1, "sphinx.domains.javascript": 2, "sphinx.domains.math": 2, "sphinx.domains.python": 3, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx": 56}})